Subject: [trill] FW: [RTG-DIR] [email-masked];

From: "Susan Hares" <[email-masked]>
Date: Tue, 5 May 2015 20:13:31 -0400

WG: 

Here's the routing directorate review of RFC7180bis.  Please let me know if this raises any additional thoughts.  The draft-trill-rfc7180bis draft has passed WG LC and will be forward to the IESG within a few days. 

Sue 

-----Original Message-----
From: rtg-dir [mailto:[email-masked]] On Behalf Of Russ White
Sent: Friday, April 10, 2015 7:06 PM
To: [email-masked]
Cc: [email-masked]
Subject: [RTG-DIR] [email-masked]; [email-masked]

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see ​http://trac.tools.ietf.org/area/rtg/trac/wiki/RtgDir

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-trill-rfc7180bis-04
Reviewer: Russ White
Review Date: 10 April 2015
Intended Status: Proposed Standard

Summary: 

This document is basically ready for publication, but has nits that should be considered prior to publication-- (I found one very minor nit, see below). 

Comments:

This document is difficult to understand, as it modifies several other documents that must be examined in parallel to understand the modifications being made. However, given that the TRILL documents are complex on their own, and this document "sweeps up" various changes across multiple documents while replacing another document, it is readable and serves the purpose for which it is intended well. Overall, this document is complex but readable; someone who understands a TRILL implementation should find it fairly navigable. 

I did check the IANA registries, references, and modifications proposed in this document; I could find no problems with the references, modifications, or registry information as described in the document.

Major Issues:

No major issues found.

Minor Issues:

No minor issues found.

Nits:

10. TRILL Header Update (New)
The TRILL header has been updated from its original specification in [RFC6325] by [RFC7455] and [RFC7179] and is further updated by this document. The TRILL header is now as show in the figure below which is followed by references for all of the fields.

show/shown

==

Russ